
QGIS Application - Bug report #5542

Rule based symbology refine assistant can't read values  for fields with special characters

2012-05-04 01:33 AM - Regis Haubourg

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:1.7.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15135

Description

This bug is related to #5536

Tested with Qgis 1.7.4 standalone and qgis 1.8.0 from osgeow.

When trying to refine rules in rule based labeling interface, if field names contain spaces or non ascii characters, range or category

classify assistant can't read values of fields and sets values to 0. 

I guess this is because in code field name is not set with quotation marks since we have same problem in #5536. Anyone confirms?

Cheers

régis

History

#1 - 2012-06-01 01:45 AM - Hugo Mercier

Yes, it is linked to the #5536

#2 - 2012-06-01 03:26 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:bf86521d4
